Subject: Re: Building tilegx defconfig gets init/exit section errors in xfs.

From: Dave Chinner <[email-masked]>
Date: Tue, 27 Mar 2012 08:59:19 +1100

On Sun, Mar 25, 2012 at 02:20:35PM -0400, Paul Gortmaker wrote:
> Hi All,
> 
> Recently the tilegx defconfig was added to the linux-next build
> coverage, which exposed this.
>  
> LD      .tmp_vmlinux1
> `xfs_qm_exit' referenced in section `.init.text' of fs/built-in.o:
>  defined in discarded section `.exit.text' of fs/built-in.o
> make[1]: *** [.tmp_vmlinux1] Error 1
> 
> http://kisskb.ellerman.id.au/kisskb/buildresult/5941293/
> 
> It seemed odd to me, since I didn't think there was anything arch
> specific in the init/exit sectioning, so I thought I'd mention it
> here, just in case it hasn't been brought up before.

Already been reported, a patch has been provided, too. So the fix
is underway.

Thanks for reporting the problem anyway, Paul.

Cheers,

Dave.
-- 
Dave Chinner
[email-masked]